# Getting started

## How to build?
```bash
examples/hello_dts $ bazelisk build :app --platforms=:robokit1
```

## How to regenerated files
Some of the files under the `generated/` directory are currently not generated
by Bazel. To generate them use the same SHA of Zephyr as the one in the
MODULE.bazel and run `west build -p -b robokit1 samples/cpp/hello_world`. All
the generated files will be under the `build/` directory. When you copy the
`autoconf.h` file, you need to append the following line to that file:

```c
#define CONFIG_PIGWEED_SYS_IO_INIT_PRIORITY 1
```

# Comparing Zephyr builds

Using a build log we can scan to see which files were generated using:

```bash
grep -oP '\-o [\w_\-+/\.]+\.o(bj)?' ${log_file} | sort -u
```